Name:          zfs
Version:       0.7.8
Release:       1mamba
Summary:       An advanced file system and volume manager
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://zfsonlinux.org
Source:        https://github.com/zfsonlinux/zfs.git/zfs-%{version}/zfs-%{version}.tar.bz2
#Source:        http://archive.zfsonlinux.org/downloads/zfsonlinux/zfs/zfs-%{version}.tar.gz
License:       Common Development and Distribution License
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libblkid-devel
BuildRequires: libuuid-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
ZFS is an advanced file system and volume manager which was originally developed for Solaris and is now maintained by the Illumos community.
ZFS on Linux, which is also known as ZoL, is currently feature complete. It includes fully functional and stable SPA, DMU, ZVOL, and ZPL layers.
Full documentation for installing ZoL on your favorite Linux distribution can be found at: http://zfsonlinux.org

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
./autogen.sh
%configure \
   --disable-sysvinit \
   --with-config=user \
   --with-systemdunitdir=%{_unitdir} \
   --with-systemdpresetdir=%{_presetdir}

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/zfs
%{_sysconfdir}/zfs/*.example
%dir %{_sysconfdir}/zfs/zed.d
%{_sysconfdir}/zfs/zed.d/zed.rc
%{_sysconfdir}/zfs/zed.d/*.sh
%{_sysconfdir}/sudoers.d/zfs
%dir %{_sysconfdir}/zfs
%dir %{_sysconfdir}/zfs/zpool.d
%{_sysconfdir}/zfs/zpool.d/*
/lib/udev/rules.d/60-zvol.rules
/lib/udev/rules.d/69-vdev.rules
/lib/udev/rules.d/90-zfs.rules
/lib/udev/vdev_id
/lib/udev/zvol_id
/sbin/mount.zfs
%{_bindir}/arcstat.py
%{_bindir}/arc_summary.py
%{_bindir}/dbufstat.py
%{_bindir}/raidz_test
%{_bindir}/zgenhostid
%dir %{_prefix}/lib/dracut/modules.d/90zfs
%{_prefix}/lib/dracut/modules.d/90zfs/*
%{_prefix}/lib/modules-load.d/zfs.conf
%{_presetdir}/50-zfs.preset
%{_unitdir}/zfs-*.service
%{_unitdir}/zfs.target
%{_sbindir}/fsck.zfs
%{_sbindir}/zdb
%{_sbindir}/zed
%{_sbindir}/zfs
%{_sbindir}/zhack
%{_sbindir}/zinject
%{_sbindir}/zpios
%{_sbindir}/zpool
%{_sbindir}/zstreamdump
%{_sbindir}/ztest
%{_datadir}/initramfs-tools/conf-hooks.d/zfs
%{_datadir}/initramfs-tools/hooks/zfs
%{_datadir}/initramfs-tools/scripts/zfs
%dir %{_datadir}/zfs
%{_datadir}/zfs/*.sh
%dir %{_datadir}/zfs/zpios-profile
%{_datadir}/zfs/zpios-profile/*.sh
%dir %{_datadir}/zfs/zpios-test
%{_datadir}/zfs/zpios-test/*.sh
%dir %{_datadir}/zfs/zpool-config
%{_datadir}/zfs/zpool-config/*.sh
%{_prefix}/lib/dracut/modules.d/02zfsexpandknowledge/module-setup.sh
%{_datadir}/initramfs-tools/conf.d/zfs
%{_datadir}/initramfs-tools/scripts/local-top/zfs
%{_mandir}/man1/raidz_test.1*
%{_mandir}/man1/test-runner.1*
%{_mandir}/man8/zgenhostid.8*
%dir %{_datadir}/zfs
%{_datadir}/zfs/*
%{_mandir}/man1/zhack.1*
%{_mandir}/man1/zpios.1*
%{_mandir}/man1/ztest.1*
%{_mandir}/man5/vdev_id.conf.5*
%{_mandir}/man5/zfs-events.5.gz
%{_mandir}/man5/zfs-module-parameters.5*
%{_mandir}/man5/zpool-features.5*
%{_mandir}/man8/fsck.zfs.8*
%{_mandir}/man8/mount.zfs.8*
%{_mandir}/man8/vdev_id.8*
%{_mandir}/man8/zdb.8*
%{_mandir}/man8/zed.8*
%{_mandir}/man8/zfs.8*
%{_mandir}/man8/zinject.8*
%{_mandir}/man8/zpool.8*
%{_mandir}/man8/zstreamdump.8*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libnvpair.so.*
%{_libdir}/libuutil.so.*
%{_libdir}/libzfs.so.*
%{_libdir}/libzfs_core.so.*
%{_libdir}/libzpool.so.*
%dir %{_libexecdir}/zfs
%dir %{_libexecdir}/zfs/zed.d
%dir %{_libexecdir}/zfs/zpool.d
%{_libexecdir}/zfs/zpool.d/*
/lib/systemd/system/zfs-import.target
%{_libexecdir}/zfs/zed.d/*.sh
%doc AUTHORS

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/libspl
%{_includedir}/libspl/*
%dir %{_includedir}/libzfs
%{_includedir}/libzfs/*
%{_libdir}/libnvpair.a
%{_libdir}/libnvpair.la
%{_libdir}/libnvpair.so
%{_libdir}/libuutil.a
%{_libdir}/libuutil.la
%{_libdir}/libuutil.so
%{_libdir}/libzfs.a
%{_libdir}/libzfs.la
%{_libdir}/libzfs.so
%{_libdir}/libzfs_core.a
%{_libdir}/libzfs_core.la
%{_libdir}/libzfs_core.so
%{_libdir}/libzpool.a
%{_libdir}/libzpool.la
%{_libdir}/libzpool.so
%{_datadir}/pkgconfig/libzfs.pc
%{_datadir}/pkgconfig/libzfs_core.pc
#%doc README.markdown

%changelog
* Fri Apr 13 2018 Automatic Build System <autodist@mambasoft.it> 0.7.8-1mamba
- automatic version update by autodist

* Fri Mar 30 2018 Automatic Build System <autodist@mambasoft.it> 0.7.7-1mamba
- automatic version update by autodist

* Mon Oct 17 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.5.8-1mamba
- update to 0.6.5.8

* Sat May 14 2016 Automatic Build System <autodist@mambasoft.it> 0.6.5.7-1mamba
- automatic version update by autodist

* Thu Mar 24 2016 Automatic Build System <autodist@mambasoft.it> 0.6.5.6-1mamba
- automatic version update by autodist

* Fri Jun 05 2015 Automatic Build System <autodist@mambasoft.it> 0.6.4.1-1mamba
- automatic version update by autodist

* Sat Oct 04 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.3-1mamba
- package created using the webbuild interface
